
package de.ivu.elect.jee.presentation.dynamicform;

public class ReadOnlyLongProperty extends AbstractLongProperty {

  private final String label;

  private final Long value;

  public ReadOnlyLongProperty(String label, Long value) {
    super();

    this.label = label;
    this.value = value;
  }

  @Override
  public boolean isReadonly() {
    return true;
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }

  @Override
  public String getDefaultLabel() {
    return label;
  }

  @Override
  public Long getValue() {
    return value;
  }

  @Override
  public void setValue(Long value) {
    // Readonly!
  }
}
